spool e:\cocktail\Mangue\import_bx4\xml\contrat_avenants.xml
set heading off
set long 1000
set pagesize 0

PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <CONTRAT_AVENANTS>

SELECT XMLElement("CONTRAT_AVENANT",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",
				NO_CONTRAT_TRAVAIL "CTR_SOURCE",
				NO_AVENANT "AV_SOURCE", 
				D_DEB_CONTRAT_TRAV "D_DEB_CONTRAT_AV",
				DECODE(D_FIN_EXECUTION,NULL,D_FIN_CONTRAT_TRAV,D_FIN_EXECUTION) "D_FIN_CONTRAT_AV",
				C_GRADE "C_GRADE",
				C_ECHELON "C_ECHELON",
				FONCTION_CTR_TRAV "FONCTION_CTR_AV",
				DECODE(NUM_QUOT_RECRUTEMENT,NULL,'100',NUM_QUOT_RECRUTEMENT) "NUM_QUOT_RECRUTEMENT",
				INDICE_CONTRAT "INDICE_CONTRAT",
				C_CATEGORIE "C_CATEGORIE",
				C_BAP "C_BAP_CORPS",
				C_SECTION_CNU "C_SECTION_CNU",
				C_SOUS_SECTION_CNU "C_SOUS_SECTION_CNU",
				C_DISC_SECOND_DEGRE "C_DISC_SECOND_DEGRE",
				C_SPECIALITE_ATOS "C_SPECIALITE_ATOS",
				C_BAP "C_BAP",
				C_SPECIALITE "C_SPECIALITE_ITARF",
				NO_AVENANT "NO_AVENANT",
				D_REF_CTR_AVENANT "DATE_ARRETE",
				TEM_GEST_ETAB "TEM_GEST_ETAB",
				C_DEA "C_DEA",
				REPLACE(MONTANT_MENSUEL_REMU,',','.') "MONTANT",
				DECODE(C_TYPE_REGLEMENT,'S','F',C_TYPE_REGLEMENT) "TYPE_MONTANT",
				REPLACE(NB_HEURES_CONTRAT,',','.') "NBR_UNITE"))	
   FROM CONTRAT_AVENANT C,INDIVIDU I, PERSONNEL P, CODE_INSEE CI
   WHERE I.NO_INDIVIDU = C.NO_DOSSIER_PERS
   AND I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND C.TEM_ANNULATION = 'N'
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS;


PROMPT </CONTRAT_AVENANTS>
PROMPT </IMPORT>

spool off